// Cube.h: interface for the CCube class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CUBE_H__DA15C8C2_3D38_11D3_A9DB_525400E10345__INCLUDED_)
#define AFX_CUBE_H__DA15C8C2_3D38_11D3_A9DB_525400E10345__INCLUDED_

#include "Texture.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CCube  
{
public:
	int m_nb_cut;
	static CTexture *m_Texture;
	CCube(double r = 1, double x = 0, double y = 0, double z = 0, double rx = 0, double ry = 0, double rz = 0, double vx = 0, double vy = 0, double vz = 0, double vrx = 0, double vry = 0, double vrz = 0, bool changeable = false, bool transparent = false, unsigned char alpha = 255, char * bmp_texture_file = NULL);
	virtual ~CCube();
	void Update(int t);						// calculer nouvelle position du cube apres t millisecondes
	void Draw(float x = 0, float y = 0, float z = 0, bool multitexturing = false);
											// afficher le cube
	double m_r;								// rayon du cube
	double m_x,m_y,m_z;						// position
	double m_vx,m_vy,m_vz;					// vitesse de translation
	double m_rx, m_ry, m_rz;				// angles
	double m_vrx,m_vry,m_vrz;				// vitesse de rotation
protected:
	bool m_changeable;						// rayon du cube variable ?
	GLint m_num_list;						// liste pour afficher le cube	
private:
	static GLuint m_Texture_num;
	void DrawCube();
	bool m_transparent;
};

#endif // !defined(AFX_CUBE_H__DA15C8C2_3D38_11D3_A9DB_525400E10345__INCLUDED_)
